> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Notification Route Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/notifications/routes/{route_id}/test
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/notifications/routes/{route_id}/test:
    post:
      tags:
        - Notifications API
      summary: Test Notification Route Endpoint
      operationId: >-
        test_notification_route_endpoint_api_v1_org_notifications_routes__route_id__test_post
      parameters:
        - in: path
          name: route_id
          required: true
          schema:
            format: uuid4
            title: Route Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '202':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotificationRouteTestResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    NotificationRouteTestResult:
      properties:
        delivery_id:
          title: Delivery Id
          type: string
      required:
        - delivery_id
      title: NotificationRouteTestResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````